For the complete documentation index, see llms-docs.txt or the site index llms.txt. Full docs corpus: llms-full-docs.txt. Prefer the markdown version of this page at /docs/api/template/delete-api-template-v1by-id-versions-by-version-id.md. Product capabilities: skill.md. Docs MCP: /docs/mcp. Site MCP: /mcp.

Delete template version

DELETE
/api/template/v1/:id/versions/:versionId
1import { Reloop } from "reloop-email";
2
3const reloop = new Reloop({ apiKey: "rl_123456789" });
4
5await reloop.template.deleteVersion("tpl_123456789", "ver_123456789");
1{
2 "id": "con_123456789",
3 "templateId": "example_templateId",
4 "version": 0,
5 "name": "Newsletter",
6 "isMajor": true,
7 "subject": "Welcome to Reloop",
8 "fromEmail": "example_fromEmail",
9 "replyTo": "example_replyTo",
10 "previewText": "example_previewText",
11 "description": "example_description",
12 "content": [],
13 "variables": [
14 {
15 "name": "Newsletter",
16 "type": "string",
17 "defaultValue": null
18 }
19 ],
20 "renderedHtml": "example_renderedHtml",
21 "createdByUserId": "example_createdByUserId",
22 "createdBy": {
23 "id": "con_123456789",
24 "name": "Newsletter",
25 "email": "john.doe@example.com",
26 "image": "example_image"
27 },
28 "createdAt": "2026-03-23T10:00:00.000Z"
29}

Path Parameters

idstringRequired
versionIdstringRequired

Was this page helpful?